List passes
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"passes": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"programId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalReference": "<string>",
"externalId": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "jsmith@example.com"
}
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Passes
List passes
Returns passes for your company. Supports filtering, sorting, and pagination.
GET
https://api.platform.getstell.com
/
v1
/
passes
List passes
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"passes": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"programId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalReference": "<string>",
"externalId": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "jsmith@example.com"
}
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Query Parameters
⌘I